hammer should consider everything from the "Compute Profile"

04/05/2016 01:36 PM - Bryan Kearney

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1319564 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1319564

Description of problem:

When we try to use "hammer" cmd to provision new VMWare base host it seems that it ignore the compute profile settings. Where

we have defined everything in GUI.

hammer> host create --hostgroup Test-RHEL7   --name rhel-hostname  --location "Default Location" --organization "IPA"  --ip 2.2.3.4 

--compute-resource ESX  --compute-profile 1-Small

ERROR :

Could not create the host:

Failed to create a compute ESX (VMWare) instance rhel-hostname.example.com: cluster is required for this operation

Where cluster is already define in the webUI. Here we have to pass few more parameter like below to complete the command.

Could you please use below Provider specific options.

"--compute-attributes " with cluster "RHEL"

Available keys for --compute-attributes:

cpus       # cpu count

memory_mb  # integer number

cluster

path

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. I have to provide below all the information to create a host through hammer.

hammer> host create --hostgroup Test-RHEL7  --name test-hostgroup-poc --location "Default Location" --organization "IPA"  --ip

2.2.3.4 --compute-resource-id 4 --compute-profile-id 4 --compute-attributes

"cluster=RHEL,path='/Data/xyz/abc/system',cpus=1,corespersoket=1,memory_mb=2048,start=1,hardware_version='vmx-10',guest_i

d=rhelGuest" --interface "network=network-126880" --volume "datastore='Datapath - Test - TESX99',name='Hard

disk',size_gb=20,thin=true"

Host created

hammer>

Actual results:

Need to provide all the information in hammer command

cpus       # cpu count

memory_mb  # integer number

cluster
path

Expected results:

Hammer cmd should take all this information from compute profile which ever is possible.

Additional info:

Related issues:

Is duplicate of Foreman - Bug #6342: Compute profile should be used when empt... Closed 06/23/2014

History

#1 - 04/06/2016 03:56 AM - Dominic Cleal

- Is duplicate of Bug #6342: Compute profile should be used when empty volumes and interfaces passed in compute_attributes added

#2 - 04/06/2016 03:56 AM - Dominic Cleal

- Status changed from New to Duplicate
